import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '考场名称',
    align:"center",
    dataIndex: 'locationName'
   },
  //  {
  //   title: '父节点id',
  //   align:"center",
  //   dataIndex: 'parentLocationId'
  //  },
   {
    title: '考场人数',
    align:"center",
    dataIndex: 'personNumber'
   },
  //  {
  //   title: '排序号',
  //   align:"center",
  //   dataIndex: 'sortNumber'
  //  },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
  {
    label: '考场名称',
    field: 'locationName',
    component: 'JInput',
  },
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '考场名称',
    field: 'locationName',
    component: 'Input',
  },
  {
    label: '父节点id',
    field: 'parentLocationId',
    component: 'Input',
  },
  {
    label: '考场人数',
   field: 'personNumber',
   component: 'Input',

  },
  {
    label: '排序号',
    field: 'sortNumber',
    component: 'InputNumber',
    show: false
  },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];

// 高级查询数据
export const superQuerySchema = {
  locationName: {title: '存放地名称',order: 0,view: 'text', type: 'string',},
  parentLocationId: {title: '父节点id',order: 1,view: 'text', type: 'string',},
  sortNumber: {title: '排序号',order: 2,view: 'number', type: 'number',},
};

/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}